roasOS
API referenceMemory

Unpin a fact

Delete one pinned fact by id. A pin in another workspace is a 404, never a silent success.

DELETE
/v1/memory/pins/{id}

Delete one pinned fact by id. A pin in another workspace is a 404, never a silent success.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/memory/pins/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "resource": "generation",    "deleted": true  }}